local theme = require('theme.base_theme')
local lain = require('lain')
local gears = require('gears')
local awful = require('awful')

local fs = lain.widget.fs({
	notification_preset = { font = 'Monospace 10', fg = theme.fg_normal },
	settings = function()
		-- luacheck: max line length 150, globals widget fs_now
		widget:set_text(
			fs_now['/'].percentage
				.. '% ('
				.. string.format('%.3f', fs_now['/'].free)
				.. ' '
				.. fs_now['/'].units
				.. ' left)'
		)
	end,
})
fs.widget:buttons(gears.table.join(awful.button({}, 1, function()
	awful.spawn('Thunar')
end)))

return { {
	widget = fs.widget,
	bg = '#80d9d8',
} }
